GNU logs - #4814, boring messages


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#4814: keyboard and system bug with Emacs CVS current through 2009-10-15 on  w32
Reply-To: MON KEY <monkey@HIDDEN>, 4814 <at> debbugs.gnu.org
Resent-From: MON KEY <monkey@HIDDEN>
Original-Sender: stan@HIDDEN
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
2Resent-Date: Tue, 27 Oct 2009 15:35:04 +0000
Resent-Message-ID: <handler.4814.B.125665739727353@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: report 4814
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by submit@HIDDEN id=B.125665739727353
          (code B ref -1); Tue, 27 Oct 2009 15:35:04 +0000
Received: (at submit) by emacsbugs.donarmstrong.com; 27 Oct 2009 15:29:57 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=AWL,FOURLA,MURPHY_DRUGS_REL8
	autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.14.3/8.14.3/Debian-5) with ESMTP id n9RFTt8Q027350
	for <submit@HIDDEN>; Tue, 27 Oct 2009 08:29:57 -0700
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1N2nzf-0003x9-5t
	for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2009 11:29:55 -0400
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1N2nza-0003qB-5V
	for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2009 11:29:54 -0400
Received: from [199.232.76.173] (port=35764 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1N2nzZ-0003pv-Uj
	for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2009 11:29:50 -0400
Received: from mail-yx0-f191.google.com ([209.85.210.191]:53632)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <stan@HIDDEN>)
	id 1N2nzX-0007uv-Ix
	for bug-gnu-emacs@HIDDEN; Tue, 27 Oct 2009 11:29:48 -0400
Received: by yxe29 with SMTP id 29so230757yxe.14
        for <bug-gnu-emacs@HIDDEN>; Tue, 27 Oct 2009 08:29:45 -0700 (PDT)
MIME-Version: 1.0
Sender: stan@HIDDEN
Received: by 10.150.130.36 with SMTP id c36mr12846085ybd.180.1256657385806; 
	Tue, 27 Oct 2009 08:29:45 -0700 (PDT)
Date: Tue, 27 Oct 2009 11:29:45 -0400
X-Google-Sender-Auth: fdf96b1ed54eecd6
Message-ID: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
From: MON KEY <monkey@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Emacs from CVS current through 2009-10-15 is not correctly interacting
with my system - WinXP Service Pack 3.

There is a low level conflict somewhere related to Emacs'
keyboard/server interaction with the rest of the system.

Specifically, I am experiencing a bug wherein the application Xkeymacs
Version 3.47 :SEE (URL `http://www.cam.hi-ho.ne.jp/oishi/indexen.html')
is no longer able to recognize Emacs application/process nor can it
override Emacs system level interface w/ keyboard.

The current failure has not occurred with _any_ previous Emacs
distributions/builds in the past. Nor have I experienced a conflict of
this sort vis a vis Xkeymacs and _any_ other application. This is
happening on the Emacs side. Lennart and I have already verified that
the bug has been introduced by his build/compilation.

I'm including the config data from the three separate builds - two
verified working one not-working. The only difference that I see are the
compiler and flags. These flags shouldn't affect what is happening w/re
to the way keyboard interaction is failing for the emacsen's interaction
with the rest of the system. The proof is that I have never had this
problem before w/ Emacs or _any_ other application on this machine.

Emacs 23.1.1 of 2009-07-30 on SOFT-MJASON                    <- WORKS
Emacs 23.1.50.1 of 2009-06-30 on LENNART-69DE564 (patched)   <- WORKS
Emacs 23.1.50.1 of 2009-10-15 on LENNART-69DE564 (unpatched) <- FAILS
Emacs 23.1.50.1 of 2009-10-13 on LENNART-69DE564 (patched)   <- FAILS

;;; ==============================
;;; This is the most recent Lennart unpatched from CVS.
:DOES-NOT-WORK

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-10-15 on LENNART-69DE564
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags
-Ic:/g/include -fno-crossjumping'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default enable-multibyte-characters: t

;;; ==============================
;;; I've also verified this build.
:WORKS

In GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
 of 2009-07-30 on SOFT-MJASON
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (4.4)'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default-enable-multibyte-characters: t

;;; ==============================
;;; I've moved back to this build
:WORKS

In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-06-30 on LENNART-69DE564 (patched)
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --cflags -Ic:/g/include'

Important settings:
 value of $LC_ALL: nil
 value of $LC_COLLATE: nil
 value of $LC_CTYPE: nil
 value of $LC_MESSAGES: nil
 value of $LC_MONETARY: nil
 value of $LC_NUMERIC: nil
 value of $LC_TIME: nil
 value of $LANG: ENU
 value of $XMODIFIERS: nil
 locale-coding-system: cp1252
 default-enable-multibyte-characters: t




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.427 (Entity 5.427)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: MON KEY <monkey@HIDDEN>
Subject: bug#4814: Acknowledgement (keyboard and system bug with Emacs CVS
 current through 2009-10-15 on  w32)
Message-ID: <handler.4814.B.125665739727353.ack@HIDDEN>
References: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
X-Emacs-PR-Message: ack 4814
X-Emacs-PR-Package: emacs
Reply-To: 4814 <at> debbugs.gnu.org
Date: Tue, 27 Oct 2009 15:35:05 +0000

Thank you for filing a new bug report with Emacs.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 4814 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
4814: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D4814
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 27 Jan 2010 23:15:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jan 27 18:15:03 2010
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NaH6E-0002Bg-Fa
	for submit <at> debbugs.gnu.org; Wed, 27 Jan 2010 18:15:02 -0500
Received: from fencepost.gnu.org ([140.186.70.10])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <rgm@HIDDEN>) id 1NaH6D-0002BL-2V
	for control <at> debbugs.gnu.org; Wed, 27 Jan 2010 18:15:01 -0500
Received: from rgm by fencepost.gnu.org with local (Exim 4.69)
	(envelope-from <rgm@HIDDEN>)
	id 1NaH69-0000Wv-8u; Wed, 27 Jan 2010 18:14:57 -0500
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Message-ID: <19296.51441.209320.592328@HIDDEN>
Date: Wed, 27 Jan 2010 18:14:57 -0500
From: Glenn Morris <rgm@HIDDEN>
To: control <control <at> debbugs.gnu.org>
Subject: control
X-Attribution: GM
X-Mailer: VM (www.wonderworks.com/vm), GNU Emacs (www.gnu.org/software/emacs)
X-Hue: green
X-Ran: zo'*iB'qaD@E7lvk:%ud#li0vS`>9n1#8k6lXA9o%H<]pe)MoMi?tf2?x{Mj'@:O'2741;
X-Debbugs-No-Ack: yes
X-Spam-Score: -4.9 (----)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.9 (----)

reassign 4814 emacs,w32
tags 4816 patch moreinfo
merge 4789 4881
severity 4789 minor
severity 4882 minor




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: bug-gnu-emacs@HIDDEN
Subject: bug#4814: keyboard and system bug with Emacs CVS current through  2009-10-15 on w32
References: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
In-Reply-To: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
Resent-From: MON KEY <monkey@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 03 Feb 2010 01:38:02 +0000
Resent-Message-ID: <handler.4814.B4814.126516105626838 <at> debbugs.gnu.org>
Resent-Sender: bug-gnu-emacs@HIDDEN
X-Emacs-PR-Message: followup 4814
X-Emacs-PR-Package: emacs,w32
X-Emacs-PR-Keywords: 
To: 4814 <at> debbugs.gnu.org
Received: via spool by 4814-submit <at> debbugs.gnu.org id=B4814.126516105626838
          (code B ref 4814); Wed, 03 Feb 2010 01:38:02 +0000
Received: (at 4814) by debbugs.gnu.org; 3 Feb 2010 01:37:36 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1NcUBT-0006yp-A0
	for submit <at> debbugs.gnu.org; Tue, 02 Feb 2010 20:37:35 -0500
Received: from mail-yx0-f195.google.com ([209.85.210.195])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stan@HIDDEN>) id 1NcUBQ-0006yk-SA
	for 4814 <at> debbugs.gnu.org; Tue, 02 Feb 2010 20:37:33 -0500
Received: by yxe33 with SMTP id 33so719455yxe.0
	for <4814 <at> debbugs.gnu.org>; Tue, 02 Feb 2010 17:37:29 -0800 (PST)
MIME-Version: 1.0
Received: by 10.150.184.8 with SMTP id h8mr9681986ybf.310.1265161048820; Tue, 
	02 Feb 2010 17:37:28 -0800 (PST)
Date: Tue, 2 Feb 2010 20:37:28 -0500
X-Google-Sender-Auth: 7441c5b31c3b31e2
Message-ID: <d2afcfda1002021737t6035e12cq871a3ca6d30a3420@HIDDEN>
From: MON KEY <monkey@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -3.3 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.9 (---)

This bug remains outstanding through pretest 23.1.91.1 of 2010-01-02.
I've had an opportunity to examine the problem on that build as well.

Following is an attempt to identify and compare/contrast what I've been able to
deduce of the problem.

;;; ==============================
"GNU Emacs 23.1.91.1 (i386-mingw-nt5.1.2600)
 of 2010-01-02 on PRETEST"

Invoked with: emacs -Q

:NOTE The value of the map: (0 . [67108896]) in `local-function-key-map' does
not seem to have been present until after 07-2009.

The value 0x2ed76000 appears in my dribble-file and recent-keys output for all
``control'' key presses.

`key-translation-map' on `emacs-version'
=> (keymap (24 keymap (56 . iso-transl-ctl-x-8-map)))

`input-decode-map'
=> (keymap (27 keymap (C-backspace) (C-delete)) (C-M-backspace)
(C-M-delete) (M-backspace) (M-delete))

`local-function-key-map'
=> (keymap (backspace . [127]) (kp-delete . [4]) (delete . [4]) keymap
(S-tab . [backtab]) (S-iso-lefttab . [backtab]) (iso-lefttab .
[backtab]) (M-escape . [134217755]) (M-return . [134217741]) (M-clear
. [134217740]) (M-linefeed . [134217738]) (M-tab . [134217737])
(M-delete . [134217855]) (M-backspace . [134217855]) keymap (escape .
[27]) (return . [13]) (clear . [12]) (linefeed . [10]) (tab . [9])
(kp-equal . [61]) (kp-divide . [47]) (kp-decimal . [46]) (kp-subtract
. [45]) (kp-separator . [44]) (kp-add . [43]) (kp-multiply . [42])
(kp-enter . [13]) (kp-tab . [9]) (kp-space . [32]) (kp-9 . [57]) (kp-8
. [56]) (kp-7 . [55]) (kp-6 . [54]) (kp-5 . [53]) (kp-4 . [52]) (kp-3
. [51]) (kp-2 . [50]) (kp-1 . [49]) (kp-0 . [48]) (24 keymap (64
keymap (99 . event-apply-control-modifier) (83 .
event-apply-shift-modifier) (97 . event-apply-alt-modifier) (109 .
event-apply-meta-modifier) (115 . event-apply-super-modifier) (104 .
event-apply-hyper-modifier))) (0 . [67108896]) (C-S-kp-9 .
[C-S-prior]) (C-S-kp-8 . [C-S-up]) (C-S-kp-7 . [C-S-home]) (C-S-kp-6 .
[C-S-right]) (C-S-kp-4 . [C-S-left]) (C-S-kp-3 . [C-S-next]) (C-S-kp-2
. [C-S-down]) (C-S-kp-1 . [C-S-end]) (C-S-kp-prior . [C-S-prior])
(C-S-kp-up . [C-S-up]) (C-S-kp-home . [C-S-home]) (C-S-kp-right .
[C-S-right]) (C-S-kp-left . [C-S-left]) (C-S-kp-next . [C-S-next])
(C-S-kp-down . [C-S-down]) (C-S-kp-end . [C-S-end]) (S-kp-prior .
[S-prior]) (S-kp-up . [S-up]) (S-kp-home . [S-home]) (S-kp-right .
[S-right]) (S-kp-left . [S-left]) (S-kp-next . [S-next]) (S-kp-down .
[S-down]) (S-kp-end . [S-end]) (kp-delete . [127]) (delete . [127])
(backspace . [127]) (kp-insert . [insert]) (kp-begin . [begin])
(kp-end . [end]) (M-kp-next . [M-next]) (kp-next . [next]) (kp-prior .
[prior]) (kp-down . [down]) (kp-right . [right]) (kp-up . [up])
(kp-left . [left]) (kp-home . [home]))

`function-key-map'
=> (keymap (escape . [27]) (return . [13]) (clear . [12]) (linefeed .
[10]) (tab . [9]) (kp-equal . [61]) (kp-divide . [47]) (kp-decimal .
[46]) (kp-subtract . [45]) (kp-separator . [44]) (kp-add . [43])
(kp-multiply . [42]) (kp-enter . [13]) (kp-tab . [9]) (kp-space .
[32]) (kp-9 . [57]) (kp-8 . [56]) (kp-7 . [55]) (kp-6 . [54]) (kp-5 .
[53]) (kp-4 . [52]) (kp-3 . [51]) (kp-2 . [50]) (kp-1 . [49]) (kp-0 .
[48]) (24 keymap (64 keymap (99 . event-apply-control-modifier) (83 .
event-apply-shift-modifier) (97 . event-apply-alt-modifier) (109 .
event-apply-meta-modifier) (115 . event-apply-super-modifier) (104 .
event-apply-hyper-modifier))) (0 . [67108896]) (C-S-kp-9 .
[C-S-prior]) (C-S-kp-8 . [C-S-up]) (C-S-kp-7 . [C-S-home]) (C-S-kp-6 .
[C-S-right]) (C-S-kp-4 . [C-S-left]) (C-S-kp-3 . [C-S-next]) (C-S-kp-2
. [C-S-down]) (C-S-kp-1 . [C-S-end]) (C-S-kp-prior . [C-S-prior])
(C-S-kp-up . [C-S-up]) (C-S-kp-home . [C-S-home]) (C-S-kp-right .
[C-S-right]) (C-S-kp-left . [C-S-left]) (C-S-kp-next . [C-S-next])
(C-S-kp-down . [C-S-down]) (C-S-kp-end . [C-S-end]) (S-kp-prior .
[S-prior]) (S-kp-up . [S-up]) (S-kp-home . [S-home]) (S-kp-right .
[S-right]) (S-kp-left . [S-left]) (S-kp-next . [S-next]) (S-kp-down .
[S-down]) (S-kp-end . [S-end]) (kp-delete . [127]) (delete . [127])
(backspace . [127]) (kp-insert . [insert]) (kp-begin . [begin])
(kp-end . [end]) (M-kp-next . [M-next]) (kp-next . [next]) (kp-prior .
[prior]) (kp-down . [down]) (kp-right . [right]) (kp-up . [up])
(kp-left . [left]) (kp-home . [home]))

;;; ==============================

As per the initial bug report following are comparative output from an earlier
Emacs which functions as expected.  These are likewise for the unpatched version
from a similar period.

`emacs-version'
=> "GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
 of 2009-06-30 on LENNART-69DE564 (patched)"

`key-translation-map'
=> (keymap {.. Lots of maps elided ...}
     (24 keymap (56 keymap (126 keymap (32 . "~") (126 . [172]) (116 .
[254]) (111 . [245]) (110 . [241]) (100 . [240]) (97 . [227]) (84 .
[222]) (79 . [213]) (78 . [209]) (68 . [208]) (65 . [195])) (124 .
[166]) (120 . [215]) (109 . [181]) (117 . [181]) (111 . [176]) (99 .
[162]) (96 keymap (32 . "`") (117 . [249]) (111 . [242]) (105 . [236])
(101 . [232]) (97 . [224]) (85 . [217]) (79 . [210]) (73 . [204]) (69
. [200]) (65 . [192])) (95 keymap (111 . [186]) (97 . [170])) (94
keymap (32 . "^") (117 . [251]) (111 . [244]) (105 . [238]) (101 .
[234]) (97 . [226]) (85 . [219]) (79 . [212]) (73 . [206]) (69 .
[202]) (65 . [194]) (51 . [179]) (50 . [178]) (49 . [185])) (89 .
[165]) (83 . [167]) (82 . [174]) (80 . [182]) (76 . [163]) (67 .
[169]) (63 . [191]) (62 . [187]) (61 . [175]) (60 . [171]) (51 keymap
(47 keymap (52 . [190]))) (49 keymap (47 keymap (52 . [188]) (50 .
[189]))) (47 keymap (111 . [248]) (101 . [230]) (97 . [229]) (79 .
[216]) (69 . [198]) (65 . [197]) (47 . [247])) (46 . [183]) (45 .
[173]) (44 keymap (99 . [231]) (67 . [199]) (44 . [184])) (43 . [177])
(36 . [164]) (39 keymap (32 . "'") (121 . [253]) (117 . [250]) (111 .
[243]) (105 . [237]) (101 . [233]) (97 . [225]) (89 . [221]) (85 .
[218]) (79 . [211]) (73 . [205]) (69 . [201]) (65 . [193]) (39 .
[180])) (34 keymap (32 . "\"") (121 . [255]) (117 . [252]) (115 .
[223]) (111 . [246]) (105 . [239]) (101 . [235]) (97 . [228]) (85 .
[220]) (79 . [214]) (73 . [207]) (69 . [203]) (65 . [196]) (34 .
[168])) (33 . [161]) (32 . [160]) (42 keymap (124 . [166]) (120 .
[215]) (109 . [181]) (117 . [181]) (111 . [176]) (99 . [162]) (89 .
[165]) (83 . [167]) (82 . [174]) (80 . [182]) (76 . [163]) (67 .
[169]) (63 . [191]) (62 . [187]) (61 . [175]) (60 . [171]) (46 .
[183]) (45 . [173]) (43 . [177]) (36 . [164]) (33 . [161]) (32 .
[160])))))

`function-key-map'
=> (keymap (kp-equal . [61]) (kp-divide . [47]) (kp-decimal . [46])
(kp-subtract . [45]) (kp-separator . [44]) (kp-add . [43])
(kp-multiply . [42]) (kp-enter . [13]) (kp-tab . [9]) (kp-space .
[32]) (kp-9 . [57]) (kp-8 . [56]) (kp-7 . [55]) (kp-6 . [54]) (kp-5 .
[53]) (kp-4 . [52]) (kp-3 . [51]) (kp-2 . [50]) (kp-1 . [49]) (kp-0 .
[48]) (24 keymap (64 keymap (99 . event-apply-control-modifier) (83 .
event-apply-shift-modifier) (97 . event-apply-alt-modifier) (109 .
event-apply-meta-modifier) (115 . event-apply-super-modifier) (104 .
event-apply-hyper-modifier))) (C-S-kp-9 . [C-S-prior]) (C-S-kp-8 .
[C-S-up]) (C-S-kp-7 . [C-S-home]) (C-S-kp-6 . [C-S-right]) (C-S-kp-4 .
[C-S-left]) (C-S-kp-3 . [C-S-next]) (C-S-kp-2 . [C-S-down]) (C-S-kp-1
. [C-S-end]) (C-S-kp-prior . [C-S-prior]) (C-S-kp-up . [C-S-up])
(C-S-kp-home . [C-S-home]) (C-S-kp-right . [C-S-right]) (C-S-kp-left .
[C-S-left]) (C-S-kp-next . [C-S-next]) (C-S-kp-down . [C-S-down])
(C-S-kp-end . [C-S-end]) (S-kp-prior . [S-prior]) (S-kp-up . [S-up])
(S-kp-home . [S-home]) (S-kp-right . [S-right]) (S-kp-left . [S-left])
(S-kp-next . [S-next]) (S-kp-down . [S-down]) (S-kp-end . [S-end])
(kp-delete . [127]) (delete . [127]) (backspace . [127]) (kp-insert .
[insert]) (kp-begin . [begin]) (kp-end . [end]) (M-kp-next . [M-next])
(kp-next . [next]) (kp-prior . [prior]) (kp-down . [down]) (kp-right .
[right]) (kp-up . [up]) (kp-left . [left]) (kp-home . [home]))

`local-function-key-map'
(keymap (backspace . [127]) (kp-delete . [4]) (delete . [4]) keymap
(S-tab . [backtab]) (S-iso-lefttab . [backtab]) (iso-lefttab .
[backtab]) (M-escape . [134217755]) (M-return . [134217741]) (M-clear
. [134217740]) (M-linefeed . [134217738]) (M-tab . [134217737])
(M-delete . [134217855]) (M-backspace . [134217855]) (escape . [27])
(return . [13]) (clear . [12]) (linefeed . [10]) (tab . [9]) (delete .
[127]) (backspace . [127]) keymap (kp-equal . [61]) (kp-divide . [47])
(kp-decimal . [46]) (kp-subtract . [45]) (kp-separator . [44]) (kp-add
. [43]) (kp-multiply . [42]) (kp-enter . [13]) (kp-tab . [9])
(kp-space . [32]) (kp-9 . [57]) (kp-8 . [56]) (kp-7 . [55]) (kp-6 .
[54]) (kp-5 . [53]) (kp-4 . [52]) (kp-3 . [51]) (kp-2 . [50]) (kp-1 .
[49]) (kp-0 . [48]) (24 keymap (64 keymap (99 .
event-apply-control-modifier) (83 . event-apply-shift-modifier) (97 .
event-apply-alt-modifier) (109 . event-apply-meta-modifier) (115 .
event-apply-super-modifier) (104 . event-apply-hyper-modifier)))
(C-S-kp-9 . [C-S-prior]) (C-S-kp-8 . [C-S-up]) (C-S-kp-7 . [C-S-home])
(C-S-kp-6 . [C-S-right]) (C-S-kp-4 . [C-S-left]) (C-S-kp-3 .
[C-S-next]) (C-S-kp-2 . [C-S-down]) (C-S-kp-1 . [C-S-end])
(C-S-kp-prior . [C-S-prior]) (C-S-kp-up . [C-S-up]) (C-S-kp-home .
[C-S-home]) (C-S-kp-right . [C-S-right]) (C-S-kp-left . [C-S-left])
(C-S-kp-next . [C-S-next]) (C-S-kp-down . [C-S-down]) (C-S-kp-end .
[C-S-end]) (S-kp-prior . [S-prior]) (S-kp-up . [S-up]) (S-kp-home .
[S-home]) (S-kp-right . [S-right]) (S-kp-left . [S-left]) (S-kp-next .
[S-next]) (S-kp-down . [S-down]) (S-kp-end . [S-end]) (kp-delete .
[127]) (delete . [127]) (backspace . [127]) (kp-insert . [insert])
(kp-begin . [begin]) (kp-end . [end]) (M-kp-next . [M-next]) (kp-next
. [next]) (kp-prior . [prior]) (kp-down . [down]) (kp-right . [right])
(kp-up . [up]) (kp-left . [left]) (kp-home . [home]))

:NOTE Above there isn't  a  keymap for `0'

`input-decode-map'
=> (keymap)

:NOTE Above the difference in modifiers.

/s_P\




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#4814: keyboard and system bug with Emacs CVS current through 2009-10-15 on w32
Resent-From: Jason Rumney <jasonr@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 14 Aug 2010 07:51:02 +0000
Resent-Message-ID: <handler.4814.B.12817722136736 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 4814
X-GNU-PR-Package: emacs,w32
X-GNU-PR-Keywords: 
To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.12817722136736
          (code B ref -1); Sat, 14 Aug 2010 07:51:02 +0000
Received: (at submit) by debbugs.gnu.org; 14 Aug 2010 07:50:13 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OkBVN-0001kb-CQ
	for submit <at> debbugs.gnu.org; Sat, 14 Aug 2010 03:50:13 -0400
Received: from mail.gnu.org ([199.232.76.166] helo=mx10.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1OkBVK-0001kW-J8
	for submit <at> debbugs.gnu.org; Sat, 14 Aug 2010 03:50:11 -0400
Received: from lists.gnu.org ([199.232.76.165]:37051)
	by monty-python.gnu.org with esmtps
	(TLS-1.0:DHE_RSA_AES_256_CBC_SHA1:32) (Exim 4.60)
	(envelope-from <jasonrumney@HIDDEN>) id 1OkBWC-0002iG-7w
	for submit <at> debbugs.gnu.org; Sat, 14 Aug 2010 03:51:04 -0400
Received: from [140.186.70.92] (port=60124 helo=eggs.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43) id 1OkBWA-0008Ga-Jp
	for bug-gnu-emacs@HIDDEN; Sat, 14 Aug 2010 03:51:03 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.1 (2010-03-16) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_NONE,T_DKIM_INVALID,T_TO_NO_BRKTS_FREEMAIL
	autolearn=unavailable version=3.3.1
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1OkBW9-0003Nz-61
	for bug-gnu-emacs@HIDDEN; Sat, 14 Aug 2010 03:51:02 -0400
Received: from mail-pz0-f41.google.com ([209.85.210.41]:64908)
	by eggs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1OkBW8-0003Np-WA
	for bug-gnu-emacs@HIDDEN; Sat, 14 Aug 2010 03:51:01 -0400
Received: by pzk33 with SMTP id 33so1952046pzk.0
	for <bug-gnu-emacs@HIDDEN>; Sat, 14 Aug 2010 00:51:00 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:sender:message-id:date:from
	:user-agent:mime-version:to:subject:references:in-reply-to
	:content-type:content-transfer-encoding;
	bh=bXbLYgia1LqTcpSXpROGmvw826QL97E+jkZUO9L3iOM=;
	b=dRlGFeg+tgkS64AmVJGxyk6TISLX6HmC84Rp1PVKOzohWjGq0jS42oX/fWezzy9O5T
	IEQMaL0WDqysX5kxdfcbzKgH6iB7LvPjS6x8cnBPeOTi1ns8zzCNeHnURAS1ToNn9mP5
	uW17xgpDnPSAm9by6Y84Ygmhwzu2Itv1NogWA=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=sender:message-id:date:from:user-agent:mime-version:to:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	b=l1yNFfWkgn3anERbTEsCCQkSilfU/9px9lWaN1b77Ej/dVPFHA+wjO6nrDWRwGqkX4
	tlbfOcfwMo4Baq6VLVzEjRzwnGwZvLb+UswMZWkl2dCfnkU4q5ac15P4HCMzEQcoK8Fk
	CaumeiKH7BeX36/+6Yx7KdMcuQheiS6ECTqQk=
Received: by 10.114.59.1 with SMTP id h1mr3010038waa.28.1281772260102;
	Sat, 14 Aug 2010 00:51:00 -0700 (PDT)
Received: from [192.168.249.102] ([202.87.221.130])
	by mx.google.com with ESMTPS id k23sm6377602waf.5.2010.08.14.00.50.58
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Sat, 14 Aug 2010 00:50:59 -0700 (PDT)
Message-ID: <4C664AD3.5000903@HIDDEN>
Date: Sat, 14 Aug 2010 15:50:43 +0800
From: Jason Rumney <jasonr@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US;
	rv:1.9.2.8) Gecko/20100802 Thunderbird/3.1.2
MIME-Version: 1.0
References: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
In-Reply-To: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 2)
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6,
	seldom 2.4 (older, 4)
X-Spam-Score: -4.3 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.3 (----)

  On 27/10/2009 11:29 PM, MON KEY wrote:
> Emacs from CVS current through 2009-10-15 is not correctly interacting
> with my system - WinXP Service Pack 3.
>
> There is a low level conflict somewhere related to Emacs'
> keyboard/server interaction with the rest of the system.
>
> Specifically, I am experiencing a bug wherein the application Xkeymacs
> Version 3.47 :SEE (URL `http://www.cam.hi-ho.ne.jp/oishi/indexen.html')
> is no longer able to recognize Emacs application/process nor can it
> override Emacs system level interface w/ keyboard.

You don't explain the problem you are seeing clearly, but could this be 
related to bug#4836?

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4836





Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#4814: keyboard and system bug with Emacs CVS current through 2009-10-15 on w32
References: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
In-Reply-To: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
Resent-From: MON KEY <monkey@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 15 Aug 2010 23:22:02 +0000
Resent-Message-ID: <handler.4814.B4814.128191446524523 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 4814
X-GNU-PR-Package: emacs,w32
X-GNU-PR-Keywords: 
To: Jason Rumney <jasonr@HIDDEN>
Cc: ml@HIDDEN, 4814 <at> debbugs.gnu.org, 4836 <at> debbugs.gnu.org
Received: via spool by 4814-submit <at> debbugs.gnu.org id=B4814.128191446524523
          (code B ref 4814); Sun, 15 Aug 2010 23:22:02 +0000
Received: (at 4814) by debbugs.gnu.org; 15 Aug 2010 23:21:05 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OkmVl-0006NU-91
	for submit <at> debbugs.gnu.org; Sun, 15 Aug 2010 19:21:05 -0400
Received: from mail-ww0-f46.google.com ([74.125.82.46])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <stan@HIDDEN>)
	id 1OkmVh-0006Mz-Bj; Sun, 15 Aug 2010 19:21:02 -0400
Received: by wwe15 with SMTP id 15so2789748wwe.15
	for <multiple recipients>; Sun, 15 Aug 2010 16:21:58 -0700 (PDT)
MIME-Version: 1.0
Received: by 10.216.7.8 with SMTP id 8mr1943276weo.0.1281914518610; Sun, 15
	Aug 2010 16:21:58 -0700 (PDT)
Received: by 10.216.65.140 with HTTP; Sun, 15 Aug 2010 16:21:58 -0700 (PDT)
Date: Sun, 15 Aug 2010 19:21:58 -0400
X-Google-Sender-Auth: fZgqREO08xkw4TywJtz7jH1lbtU
Message-ID: <AANLkTimOnyFRdEVXWV72XN2tWvBHt5rwyo2EU8fS8WmZ@HIDDEN>
From: MON KEY <monkey@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -1.9 (-)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.1 (---)

Hi Jason,

> but could this be related to bug#4836?

The short answer is:

Feel free to close bug#8814 and/or fold it in with bug#4836 if this is
what is needed to continue the ongoing development progress of Emacs.

The long answer is:

I'm not sure if the two are related, though it did occur to me when I
read the bug#4836 report (filed on Fri, 30 Oct 2009 three days
subsequent to the Oct 27, 2009 filing of bug#4814) that the two _may
be_ related.  FWIW I had assumed that they were and would eventually
be folded together.

This said, unfortunately (and largely due to bug#4814/4836), I am no
longer using Emacs on w32 systems (or w32 systems in general)... the
nature of the problem posed such serious functionality issues w/
integration of Emacs on my w32's as to render the combination
useless. As such, I am not able (nor am I now willing) to re-examine
the issue.

If the problem is now fixed this is good to hear, if not, you will
have to find other users better able to clearly describe the impact
and nature of the problems made manifest by these bugs esp. given the
following:

> You don't explain the problem you are seeing clearly,

Jason, no offense, but this is BS (and a cop out) and I take some
degree of displeasure in pointing out that;

 - Your recent follow up to bug#4814 was not cc'd to me;

 - The bug report in question is now nearly 10 months old;

 - The nature of the bug wasn't/isn't a clearly describable problem.

 - The affected builds in question are now 13, 14, and 8 months old
   respectively;

 - As noted above I am not now willing/able to further troubleshoot
   the problem

This said, I _did_ make multiple follow up reports over an extended
period w/re the bug and have not until now received any further requests
for additional information.

Likewise, I tested multiple different builds (at least five over an
eight month period) and made a cumulative report on my findings in an
attempt to lend some clarity to the problem.

Moreover, I did my best to indicate (and document) specifically that
the problem did appear (at least to me) to involve:

- 0x2ed76000 control key events;

- changes in `local-function-key-map', submaps, and associated
  event-modifiers;

- curious differences between the composition and and length of
  `input-decode-map';

Specifically my comparison/contrasting of this build known (by me) to
pose the problem:

,----
|
| - "GNU Emacs 23.1.91.1 (i386-mingw-nt5.1.2600)
|   of 2010-01-02 on PRETEST" <- FAILED
|
`----

 with these two builds known to work as expected:

,----
|
|  - "Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
|     of 2009-06-30 on LENNART-69DE564 (patched)"
|
|  - "Emacs 23.1.1 of 2009-07-30 on SOFT-MJASON"
|
`----

This included my indication that:

,----
|
| "The value 0x2ed76000 appears in my dribble-file and recent-keys
| output for all ``control'' key presses."
|
`----

My indication that at some point a change occurred such that;

,----
|
| "The value of the map: (0 . [67108896]) in `local-function-key-map'
| does not seem to have been present until after 07-2009."
|
`----

and that this change may have impacted/affected the return values for
`input-decode-map' from the Emacs builds (patched and unpatched) of
circa June/July 2009 e.g. these two builds:

,----
|
| "GNU Emacs 23.1.1 (i386-mingw-nt5.1.2600)
|  of 2009-07-30 on SOFT-MJASON"
|
| "In GNU Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
|  of 2009-06-30 on LENNART-69DE564 (patched)"
|
`----


which each returned as follows for `input-decode-map':

,----
|
| input-decode-map
|  => (keymap)
|
`----

whereas the 2010-01-02 build e.g.:

,----
| "GNU Emacs 23.1.91.1 (i386-mingw-nt5.1.2600)
|  of 2010-01-02 on PRETEST"
`----

had this return value for `input-decode-map':

,----
|
| input-decode-map
| => (keymap (27 keymap (C-backspace) (C-delete))
|    (C-M-backspace) (C-M-delete) (M-backspace) (M-delete))
|
`----

My indication that the significant differences in the size of the
`key-translation-map' from the non-functioning version of 2010-01-02
which had a length of 2 as compared with the functioning version of
Summer-2009 which were considerably lager.

My indication of the significant differences in both the size and
structure of the sublists of `local-function-key-map'. With the
non-functioning version of 2010-01-22 having a length of 66 and the
functioning versions of Summer-2009 having a length of 60. And with
the non-functioning version.

My provision for the implicitly indicative (though apparently
non-obvious) fact, that the size/structure differences of
`local-function-key-map' happened to map suspiciously to the
differences in length for `input-decode-map'. E.g. that the
non-functioning version of 2010-01-02 (which had an `input-decode-map'
length of 6) as compared with the functioning versions of Summer-2009
which had an `input-decode-map' containing the single element:
(keymap).

--
/s_P\




Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#4814: keyboard and system bug with Emacs CVS current through 2009-10-15 on w32
Resent-From: Jason Rumney <jasonr@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 16 Aug 2010 12:41:03 +0000
Resent-Message-ID: <handler.4814.B4814.128196246221444 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 4814
X-GNU-PR-Package: emacs,w32
X-GNU-PR-Keywords: 
To: MON KEY <monkey@HIDDEN>
Cc: 4814 <at> debbugs.gnu.org
Received: via spool by 4814-submit <at> debbugs.gnu.org id=B4814.128196246221444
          (code B ref 4814); Mon, 16 Aug 2010 12:41:03 +0000
Received: (at 4814) by debbugs.gnu.org; 16 Aug 2010 12:41:02 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Okyzt-0005Zn-Fl
	for submit <at> debbugs.gnu.org; Mon, 16 Aug 2010 08:41:01 -0400
Received: from mail-pw0-f44.google.com ([209.85.160.44])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <jasonrumney@HIDDEN>) id 1Okyzr-0005Zg-FV
	for 4814 <at> debbugs.gnu.org; Mon, 16 Aug 2010 08:41:00 -0400
Received: by pwj2 with SMTP id 2so1851018pwj.3
	for <4814 <at> debbugs.gnu.org>; Mon, 16 Aug 2010 05:41:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=gamma;
	h=domainkey-signature:received:received:sender:message-id:date:from
	:user-agent:mime-version:to:cc:subject:references:in-reply-to
	:content-type:content-transfer-encoding;
	bh=BGrYiJ7zNPq2yN2EzM//oziv//iHvzYA5p4OE5UVCPE=;
	b=W76zNZvnLaK0kLRSYwdlyhK8oAIAVPNUixNg9vzuJxnZ2XnpZRFxctMv8Dlq9SLvdh
	n6mM065wfhLmFBxRGkqm1Fk+bd6TsGZ3U8F7L3TQCwTwpjitbjV7K07ovwjGxfqDSALW
	wveJt3LNqNJ6ytoA203gUlUC+8lFOoqrXOMkc=
DomainKey-Signature: a=rsa-sha1; c=nofws; d=gmail.com; s=gamma;
	h=sender:message-id:date:from:user-agent:mime-version:to:cc:subject
	:references:in-reply-to:content-type:content-transfer-encoding;
	b=RWaK5ZhRzAmX/kQwYb3DiEW0yIh85PUk/Ll2uCbrW1mCWfKIfsPu8HnhWP3dTuaUFW
	O2BlkQ+HflN1T/6cOR7Ji1duWjmmLPto7fXOkkjK7pJwcGpNS7ItUrzzI4pGaswsAnJn
	CGCRY8OIG0uZwOAFPGRUQJaffvbOmV0EC/IX8=
Received: by 10.142.169.19 with SMTP id r19mr4506757wfe.177.1281962518021;
	Mon, 16 Aug 2010 05:41:58 -0700 (PDT)
Received: from [192.168.249.101] ([202.87.221.130])
	by mx.google.com with ESMTPS id z1sm8272744wfd.3.2010.08.16.05.41.55
	(version=TLSv1/SSLv3 cipher=RC4-MD5);
	Mon, 16 Aug 2010 05:41:56 -0700 (PDT)
Message-ID: <4C69320C.4090702@HIDDEN>
Date: Mon, 16 Aug 2010 20:41:48 +0800
From: Jason Rumney <jasonr@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US;
	rv:1.9.2.8) Gecko/20100802 Thunderbird/3.1.2
MIME-Version: 1.0
References: <AANLkTimOnyFRdEVXWV72XN2tWvBHt5rwyo2EU8fS8WmZ@HIDDEN>
In-Reply-To: <AANLkTimOnyFRdEVXWV72XN2tWvBHt5rwyo2EU8fS8WmZ@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.6 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

  On 16/8/2010 7:21 AM, MON KEY wrote:

> You don't explain the problem you are seeing clearly,
> Jason, no offense, but this is BS (and a cop out) and I take some
> degree of displeasure in pointing out that;
>
>   - Your recent follow up to bug#4814 was not cc'd to me;

My apologies, I assumed the bug tracker took care of this.

>   - The bug report in question is now nearly 10 months old;

There are bugs in the bug tracker that are much older.  While it might 
be nice to get a quick response to everything, that isn't always the way 
things work in projects that rely on people volunteering their spare 
time to work on the project.

>   - The nature of the bug wasn't/isn't a clearly describable problem.

Describing the symptoms you see is a good start.  Without that, noone is 
going to waste time trying to figure out what the bug is so they can 
start looking at it.

> Moreover, I did my best to indicate (and document) specifically that
> the problem did appear (at least to me) to involve:

Speculation about the possible cause of the bug is not what we need. We 
need to know what the symptoms are.


> ,----
> |
> | - "GNU Emacs 23.1.91.1 (i386-mingw-nt5.1.2600)
> |   of 2010-01-02 on PRETEST"<- FAILED
> |
> `----
>
>   with these two builds known to work as expected:
>
> ,----
> |
> |  - "Emacs 23.1.50.1 (i386-mingw-nt5.1.2600)
> |     of 2009-06-30 on LENNART-69DE564 (patched)"
> |
> |  - "Emacs 23.1.1 of 2009-07-30 on SOFT-MJASON"
> |
> `----

These are 5+ months apart.  There are many more potential causes than 
the few you've highlighted.
Since you are no longer prepared to help, we'll just have to leave this 
open in the hope that anyone hitting the same problem in future will be 
able to give us more information.





Message sent to owner <at> debbugs.gnu.org, bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#4814: Further information on the "<packet> undefined" error w/ keypress-modifying software?
References: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
In-Reply-To: <d2afcfda0910270829o4ed945ebh6408451fc0671219@HIDDEN>
Resent-From: Evan Driscoll <driscoll@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-To: owner <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 25 Aug 2010 17:08:02 +0000
Resent-Message-ID: <handler.4814.B4814.12827560634335 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 4814
X-GNU-PR-Package: emacs,w32
X-GNU-PR-Keywords: 
To: 4814 <at> debbugs.gnu.org, 4836 <at> debbugs.gnu.org
Received: via spool by 4814-submit <at> debbugs.gnu.org id=B4814.12827560634335
          (code B ref 4814); Wed, 25 Aug 2010 17:08:02 +0000
Received: (at 4814) by debbugs.gnu.org; 25 Aug 2010 17:07:43 +0000
Received: from localhost ([127.0.0.1] helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1OoJRv-00017o-7U
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2010 13:07:43 -0400
Received: from sandstone.cs.wisc.edu ([128.105.6.39])
	by debbugs.gnu.org with esmtp (Exim 4.69)
	(envelope-from <driscoll@HIDDEN>)
	id 1OoJPq-00016A-7C; Wed, 25 Aug 2010 13:05:34 -0400
Received: from [128.105.181.52] (hank.cs.wisc.edu [128.105.181.52])
	by sandstone.cs.wisc.edu (8.14.1/8.14.1) with ESMTP id o7PH6uRQ016797; 
	Wed, 25 Aug 2010 12:06:56 -0500
Message-ID: <4C754DA1.5040806@HIDDEN>
Date: Wed, 25 Aug 2010 12:06:41 -0500
From: Evan Driscoll <driscoll@HIDDEN>
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US;
	rv:1.9.2.4) Gecko/20100608 Lightning/1.0b2 Thunderbird/3.1
MIME-Version: 1.0
X-Enigmail-Version: 1.1.1
Content-Type: multipart/signed; micalg=pgp-sha1;
	protocol="application/pgp-signature";
	boundary="------------enig22BE1E94E683E449EE2DD8D1"
X-Spam-Score: -4.0 (----)
X-Mailman-Approved-At: Wed, 25 Aug 2010 13:07:35 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.11
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/pipermail/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -5.9 (-----)

This is an OpenPGP/MIME signed message (RFC 2440 and 3156)
--------------enig22BE1E94E683E449EE2DD8D1
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable

I just ran across a small annoyance today, and in looking for a solution
ran across these two bugs. 4836 sounds like it's very closely related to
what I'm seeing, and there's some discussion about how it relates to
4814, so here goes.


Brief description:
  Using Emacs >=3D23 with AllChars causes an error message "<packet>
  is undefined" to appear when entering a compose key sequence.


How I did caused the bug to surface:

 - Install AllChars (http://sourceforge.net/projects/allchars/).
   This is a program that gives Windows a compose key feature.
 - Install Emacs >=3D23.
 - Start AllChars with the default configuration, start Emacs.
 - Try to use a compose-key sequence, e.g. '<compose> / o' or
   '<compose> ` a'. (By default, <compose> is <menu>, but I tried
   another option or two.)


Symptoms:

 - In Emacs 22.3, the composed character (=F8 or =E0) shows up as
   expected
 - In Emacs 23.1 and 23.2, as well as CVS Emacs distributed at
   ntemacs.sourceforge.net, an error in the minibuffer is
   displayed: "<packet> is undefined"

Hopefully this'll help.

Evan Driscoll


--------------enig22BE1E94E683E449EE2DD8D1
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (MingW32)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iQEcBAEBAgAGBQJMdU2hAAoJEAOzoR8eZTzgHWgIAJ2FUficMHlJLFsERgDmWS/r
VpiXZlhhkI3OhJYTtFQKm05PZ3etYBjetFPoWvxFZ5lsYccYNVTb0nLb91n573I1
Lx3Ib9H1N+7zvHigrQj+NHoFuA5MBJ+Es7HyB1dc/umwEUDX+Z7QGaXZWzc/ko0z
ApTYphu43Z6L3H7l6Q/TSyjY75m0ihlIZ9zacKHtHR8BC7f8B0Ft7QUgoTyQszzR
xxRwVQP3cFgMdCOKDiFMBzrqCtzmIcSdgKPExi7JMb9RaxABcYp68Jut27n8l2IM
qPVSbWWs0aB5kNfUCIfkUwfm1ilaEPZKbw1FtCDAf2ERK9DhrkJdOw+CHmOrmyI=
=mdJc
-----END PGP SIGNATURE-----

--------------enig22BE1E94E683E449EE2DD8D1--





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.